<?php if($items->hasPages()): ?>
    <nav aria-label="Page navigation">
        <ul class="pagination justify-content-center">
            
            <?php if($items->onFirstPage()): ?>
                <li class="page-item disabled">
                    <span class="page-link pg" aria-hidden="true">&laquo;</span>
                </li>
            <?php else: ?>
                <li class="page-item">
                    <a class="page-link pg" href="<?php echo e($items->appends(request()->input())->previousPageUrl()); ?>" rel="prev" aria-label="Previous">&laquo;</a>
                </li>
            <?php endif; ?>

            
            <?php for($i = max(1, $items->currentPage() - 2); $i <= min($items->lastPage(), $items->currentPage() + 2); $i++): ?>
                <?php if($i == $items->currentPage()): ?>
                    <li class="page-item active"><span class="page-link pg"><?php echo e($i); ?></span></li>
                <?php else: ?>
                    <li class="page-item">
                        <a class="page-link pg" href="<?php echo e($items->appends(request()->except('type'))->url($i)); ?>"><?php echo e($i); ?></a>
                    </li>
                <?php endif; ?>
            <?php endfor; ?>

            
            <?php if($items->hasMorePages()): ?>
                <li class="page-item">
                    <a class="page-link pg" href="<?php echo e($items->appends(request()->input())->nextPageUrl()); ?>" rel="next" aria-label="Next">&raquo;</a>
                </li>
            <?php else: ?>
                <li class="page-item disabled">
                    <span class="page-link pg" aria-hidden="true">&raquo;</span>
                </li>
            <?php endif; ?>
        </ul>
    </nav>
<?php endif; ?>
<?php /**PATH /home/thinkdemos/public_html/v6/resources/views/front/pages/paging.blade.php ENDPATH**/ ?>