<?php $__env->startPush('css'); ?>
    <style>
        .gallery-page--carousel {
            padding-bottom: 20px !important;
        }

        .gallery-page {
            position: relative;
            display: block;
            padding: 20px 0 90px;
        }

        .color-circle-wrapper {
            position: relative;
            width: 40px;
            height: 40px;
        }

        .color-circle {
            display: inline-block;
            width: 100%;
            height: 100%;
            border-radius: 50%;
            cursor: pointer;
            border: 2px solid #ddd;
            transition: border 0.3s;
        }

        input[type="radio"]:checked + .color-circle {
            border: 2px solid #000; /* Highlight selected color */
        }
    </style>
<?php $__env->stopPush(); ?>
<?php $__env->startSection('content'); ?>

    <!--Page Header Start-->
    <section class="page-header">
        <div class="page-header-bg" style="background-image: url(assets/images/backgrounds/page-header-bg.jpg)">
        </div>
        <div class="container">
            <div class="page-header__inner">
                <ul class="thm-breadcrumb list-unstyled">
                    <li><a href="<?php echo e(route('arabiaMobiles.home')); ?>">Home</a></li>
                    <li><span>/</span></li>
                    <li class="active">Shop</li>
                </ul>
                <h2>Product Details</h2>
            </div>
        </div>
    </section>
    <!--Page Header End-->

    <!--Product Details Start-->
    <section class="product-details">
        <div class="container">
            <div class="row">
                <div class="col-lg-6 col-xl-6">
                    <div class="product-details__img">
                        <div class="p-one__carousel owl-theme owl-carousel carousel--have-shadow carousel-dot-style-1">
                            <div class="item">
                                <img src="<?php echo e(asset($product->product_photo)); ?>" alt=""/>
                            </div>

                            <?php if($product->product_photos): ?>
                                <?php $__currentLoopData = json_decode($product->product_photos); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ph): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="item">
                                        <img src="<?php echo e(asset($ph)); ?>" alt=""/>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 col-xl-6">
                    <div class="product-details__top">
                        <h3 class="product-details__title"><?php echo e($product->product_name); ?> <span>$<?php echo e($product->price); ?></span>
                        </h3>
                    </div>
                    <div class="product-details__content">
                        <div class="product-details__content-text1">
                            <?php echo $product->description; ?>

                        </div>
                        
                        
                        
                    </div>

                    <?php $selected_color = ''; ?>
                    <?php if($product->colors && sizeof(json_decode($product->colors))>0): ?>
                        <div class="product-details__quantity">
                            <h3 class="product-details__quantity-title">Select Color</h3>
                            <div class="d-flex flex-wrap" id="color-options">
                                <?php $__currentLoopData = json_decode($product->colors, true); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$color): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($key==0): ?>
                                            <?php $selected_color = json_encode($color); ?>
                                    <?php endif; ?>

                                    <div class="color-circle-wrapper mr-3 mb-3">
                                        <input type="radio" name="selected_color" value="<?php echo e($color['name']); ?>"
                                               id="color_<?php echo e($loop->index); ?>" hidden>
                                        <label for="color_<?php echo e($loop->index); ?>" class="color-circle"
                                               data-color="<?php echo e(json_encode($color)); ?>"
                                               style="background-color: <?php echo e($color['color']); ?>;"></label>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>
                        </div>
                    <?php endif; ?>
                    <div class="product-details__quantity">
                        <h3 class="product-details__quantity-title">Quantity</h3>
                        <div class="quantity-box">
                            <button type="button" class="sub"><i class="fa fa-minus"></i></button>
                            <input type="number" id="qqt" value="1"/>
                            <button type="button" class="add"><i class="fa fa-plus"></i></button>
                        </div>
                    </div>


                    <div class="product-details__buttons">


                        <div class="product-details__buttons-2">
                            <a
                                href="#"
                                onclick="var qqt = $('#qqt').val();addToCart('<?php echo e($product->id); ?>','<?php echo e($product->product_name); ?>','<?php echo e(asset($product->product_photo)); ?>','<?php echo e($product->price); ?>',qqt);"
                                class="thm-btn">Add to cart</a>
                        </div>
                    </div>
                    <div class="product-details__social">
                        <div class="title">
                            <h3>Share with friends</h3>
                        </div>
                        <div class="product-details__social-link">
                            <a href="https://www.facebook.com/arabiamobilesofficial"><span class="fab fa-facebook"></span></a>
                            <a href="https://www.linkedin.com/company/arabia-mobiles/"><span class="fab fa-linkedin"></span></a>
                            <a href="https://www.instagram.com/arabia.mobiles"><span class="fab fa-instagram"></span></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--Product Details End-->
    <section class="product-description">
        <div class="container">
            <h3 class="product-description__title">Related Products</h3>
            <section class="gallery-page gallery-page--carousel">
                <div class="container">
                    <div class="thm-owl__carousel owl-theme owl-carousel carousel--have-shadow carousel-dot-style-1"
                         data-owl-options='{
					"loop": true,
					"autoplay": true,
					"margin": 0,
					"items": 1,
					"nav": false,
					"dots": true,
					"smartSpeed": 500,
					"autoplayTimeout": 10000,
					"navText": ["<span class=\"fa fa-angle-left\"></span>","<span class=\"fa fa-angle-right\"></span>"],
					"responsive": {
						"0": {
							"items": 1
						},
						"768": {
							"items": 2,
							"margin": 30
						},
						"992": {
							"items": 3,
							"margin": 30
						}
					}
				}'>
                        <?php $__currentLoopData = \App\Models\Product::where('brand_id',$product->brand_id )->
where('id','<>',$product->id)->orderBy('id','desc')->skip(0)->take(8)->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $p): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                            <div class="item">
                                <!--Gallery Page Single-->
                                <div class="gallery-page__single">
                                    <div class="gallery-page__img">
                                        <a
                                            href="<?php echo e(route('arabiaMobiles.product-details',['id'=>$p->id])); ?>">
                                            <img src="<?php echo e(asset($p->product_photo)); ?>" alt="">
                                            <div class="gallery-page__icon">
                                            </div>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    </div>
                </div>
            </section>
        </div>
    </section>
    <!--Product Description End-->

<?php $__env->stopSection(); ?>

<?php $__env->startPush('p_js'); ?>
    <script>
        var selected_color = '<?php echo e($selected_color); ?>'.replaceAll('&quot;', '"');
        $(document).ready(function () {
            // Highlight selected color when clicked
            $('.color-circle').on('click', function () {
                $('.color-circle').css('border', '3px solid #ddd'); // Reset all borders
                $(this).css('border', '3px solid #000'); // Highlight selected border
                selected_color = $(this).attr('data-color').replaceAll('&quot;', '"');
            });
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('front.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/thinkdemos/public_html/v6/resources/views/front/pages/product-details.blade.php ENDPATH**/ ?>